Page MenuHomePhabricator

Wikibase is not compatible with PHP7.4
Closed, ResolvedPublic

Description

58) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "by title" (array('query', 'pageterms', 'No11|No22|No3333'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Vienna'), array('Capitol city of Austria'))), array(array(array('Moscow'), array('Capitol city of Russia'))), array(array(array('Population'), array('number of inhabitants')))))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
===
Trying to access array offset on value of type null

/workspace/src/includes/api/ApiPageSet.php:125
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

59) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "descriptions only" (array('query', 'pageterms', 'No11|No22', 'description'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Capitol city of Austria'))), array(array(array('Capitol city of Russia')))))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
===
Trying to access array offset on value of type null

/workspace/src/includes/api/ApiPageSet.php:125
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

60) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "with uselang" (array('query', 'pageterms', 'No11|No22', 'de'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Wien'), array('Hauptstadt Österreichs'))), array(array(array('Moskau'), array('Hauptstadt Russlands')))))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache::isExpired(de): cache missing, need to make one []
===
Trying to access array offset on value of type null

/workspace/src/includes/api/ApiPageSet.php:125
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

61) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "title without entity" (array('query', 'pageterms', 'No11|SomeTitleWithoutEntity'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Vienna'), array('Capitol city of Austria')))))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
===
Trying to access array offset on value of type null

/workspace/src/includes/api/ApiPageSet.php:125
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

62) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "continue" (array('query', 'pageterms', 'No11|No22', '20'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Moscow'), array('Capitol city of Russia')))))
=== Logs generated by test case
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[localisation] [debug] LocalisationCache: using store LCStoreNull []
[MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
[objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
===
Trying to access array offset on value of type null

/workspace/src/includes/api/ApiPageSet.php:125
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
/workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
/workspace/src/maintenance/doMaintenance.php:99

63) Wikibase\Client\Tests\RecentChanges\RecentChangeFactoryTest::testNewRecentChange with data set "sitelink change, affects current page" (array(0, 'HungryKitten', 5, true, false, 2, 'a:2:{s:20:"wikibase-repo-chan...TML";}', '(wikibase-comment-unlink)', '20150606050505', '', null, 'wb', false, 0, 'RecentChangeFactoryTest', 210, 210, 77, 77, 7), Wikibase\ItemChange Object (...), Mock_Title_a3bcface Object (...), array(0, 'HungryKitten', 5, true, false, 2, 'a:2:{s:20:"wikibase-repo-chan...TML";}', 'prepared Comment', '20150606050505', '', null, 'wb', false))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:103
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:256
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:233
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:85
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:260
/workspace/src/maintenance/doMaintenance.php:99

64) Wikibase\Client\Tests\RecentChanges\RecentChangeFactoryTest::testNewRecentChange with data set "sitelink change, does not affect current page" (array(0, 'HungryKitten', 5, true, false, 2, 'a:2:{s:20:"wikibase-repo-chan...TML";}', 'prepared Comment', '20150606050505', '', null, 'wb', false, 0, 'RecentChangeFactoryTest-OtherPage', 210, 210, 77, 77, 7), Wikibase\ItemChange Object (...), Mock_Title_a3bcface Object (...), array(0, 'HungryKitten', 5, true, false, 2, 'a:2:{s:20:"wikibase-repo-chan...TML";}', 'prepared Comment', '20150606050505', '', null, 'wb', false))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:103
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:256
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:233
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/RecentChangeFactory.php:85
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:260
/workspace/src/maintenance/doMaintenance.php:99

65) Wikibase\Client\Tests\RecentChanges\RecentChangeFactoryTest::testNewRecentChange_summary with data set "sitelink update" ('(wikibase-comment-sitelink-ch...Bummy)', 'change', Wikibase\DataModel\Services\Diff\ItemDiff Object (...), array(1), array('/* IGNORE-KITTENS:1| */ SILLY KITTENS'))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:80
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:329
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:347
/workspace/src/maintenance/doMaintenance.php:99

66) Wikibase\Client\Tests\RecentChanges\RecentChangeFactoryTest::testNewRecentChange_summary with data set "sitelink added" ('(wikibase-comment-sitelink-ad...Bummy)', 'change', Wikibase\DataModel\Services\Diff\ItemDiff Object (...), array(1), array('/* IGNORE-KITTENS:1| */ SILLY KITTENS'))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:80
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:329
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:347
/workspace/src/maintenance/doMaintenance.php:99

67) Wikibase\Client\Tests\RecentChanges\RecentChangeFactoryTest::testNewRecentChange_summary with data set "sitelink removed" ('(wikibase-comment-sitelink-re...Dummy)', 'change', Wikibase\DataModel\Services\Diff\ItemDiff Object (...), array(1), array('/* IGNORE-KITTENS:1| */ SILLY KITTENS'))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:80
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:329
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/RecentChangeFactoryTest.php:347
/workspace/src/maintenance/doMaintenance.php:99

68) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #0 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-linked)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

69) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #1 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-unlink)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

70) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #2 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-sitelink-ch...kyo]])')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

71) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #5 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-sitelink-ad...pan]])')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:184
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:160
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

72) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #6 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-sitelink-ad...Japan)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:184
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:160
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

73) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #8 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-sitelink-re...pan]])')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:184
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:160
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

74) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #9 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-sitelink-ch...kyo]])')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:184
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:160
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

75) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #10 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-linked)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

76) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #11 (Diff\DiffOp\Diff\Diff Object (...), 'update', '(wikibase-comment-unlink)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

77) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #12 (Diff\DiffOp\Diff\Diff Object (...), 'remove', '(wikibase-comment-remove)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

78) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testGetEditComment with data set #13 (Diff\DiffOp\Diff\Diff Object (...), 'restore', '(wikibase-comment-restore)')
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:148
/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:67
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:34
/workspace/src/maintenance/doMaintenance.php:99

79) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testNeedsTargetSpecificSummary with data set "Sitelink change that does affect the current page" (true, Diff\DiffOp\Diff\Diff Object (...), Mock_Title_a3bcface Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:103
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:73
/workspace/src/maintenance/doMaintenance.php:99

80) Wikibase\Client\Tests\RecentChanges\SiteLinkCommentCreatorTest::testNeedsTargetSpecificSummary with data set "Sitelink change that does not affect current page" (false, Diff\DiffOp\Diff\Diff Object (...), Mock_Title_a3bcface Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/client/includes/RecentChanges/SiteLinkCommentCreator.php:103
/workspace/src/extensions/Wikibase/client/tests/phpunit/includes/RecentChanges/SiteLinkCommentCreatorTest.php:73
/workspace/src/maintenance/doMaintenance.php:99

81) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink changes" (array(1, array(), array(), array(), array(array(null, 'PHP', false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

82) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink change with badge" (array(1, array(), array(), array(), array(array(null, 'PHP', true)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

83) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink badge only changes" (array(1, array(), array(), array(), array(array(null, null, true)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

84) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "berlin item <> empty item" (array(1, array('de', 'ru'), array('de', 'es'), array('P2'), array(array(null, 'Berlin', true), array(null, 'Berlin', false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

85) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "paris item <> empty item" (array(1, array('fr', 'ru'), array('de', 'es', 'pl'), array('P2'), array(array(null, 'Paris', true), array(null, 'Paris', false), array(null, 'Paris', false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

86) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "paris item <> berlin item" (array(1, array('de', 'fr', 'ru'), array('pl'), array('P2'), array(array('Berlin', 'Paris', false), array('Berlin', 'Paris', false), array(null, 'Paris', false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

87) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink changes (reversed)" (array(1, array(), array(), array(), array(array('PHP', null, false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

88) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink change with badge (reversed)" (array(1, array(), array(), array(), array(array('PHP', null, true)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

89) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "sitelink badge only changes (reversed)" (array(1, array(), array(), array(), array(array(null, null, true)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

90) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "berlin item <> empty item (reversed)" (array(1, array('de', 'ru'), array('de', 'es'), array('P2'), array(array('Berlin', null, true), array('Berlin', null, false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

91) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "paris item <> empty item (reversed)" (array(1, array('fr', 'ru'), array('de', 'es', 'pl'), array('P2'), array(array('Paris', null, true), array('Paris', null, false), array('Paris', null, false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

92) Wikibase\Lib\Tests\Changes\EntityDiffChangedAspectsFactoryTest::testNewFromEntityDiff with data set "paris item <> berlin item (reversed)" (array(1, array('de', 'fr', 'ru'), array('pl'), array('P2'), array(array('Paris', 'Berlin', false), array('Paris', 'Berlin', false), array('Paris', null, false)), false), Wikibase\DataModel\Entity\Item Object (...), Wikibase\DataModel\Entity\Item Object (...))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:112
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:83
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspectsFactory.php:38
/workspace/src/extensions/Wikibase/lib/includes/Changes/EntityDiffChangedAspects.php:106
/workspace/src/extensions/Wikibase/lib/tests/phpunit/Changes/EntityDiffChangedAspectsFactoryTest.php:337
/workspace/src/maintenance/doMaintenance.php:99

93) Wikibase\Lib\Tests\SettingsArrayTest::testGetUnknownSetting with data set #0 (array())
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/SettingsArray.php:59
/workspace/src/extensions/Wikibase/lib/tests/phpunit/SettingsArrayTest.php:66
/workspace/src/maintenance/doMaintenance.php:99

94) Wikibase\Lib\Tests\SettingsArrayTest::testGetUnknownSetting with data set #1 (array('bar'))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/SettingsArray.php:59
/workspace/src/extensions/Wikibase/lib/tests/phpunit/SettingsArrayTest.php:66
/workspace/src/maintenance/doMaintenance.php:99

95) Wikibase\Lib\Tests\SettingsArrayTest::testGetUnknownSetting with data set #2 (array('bar', 'bah'))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/SettingsArray.php:59
/workspace/src/extensions/Wikibase/lib/tests/phpunit/SettingsArrayTest.php:66
/workspace/src/maintenance/doMaintenance.php:99

96) Wikibase\Lib\Tests\SettingsArrayTest::testGetUnknownSetting with data set #3 (array('bar', 'bah', 'bah', 1337, array(1, 2, 3), false, null))
array_key_exists(): Using array_key_exists() on objects is deprecated. Use isset() or property_exists() instead

/workspace/src/extensions/Wikibase/lib/includes/SettingsArray.php:59
/workspace/src/extensions/Wikibase/lib/tests/phpunit/SettingsArrayTest.php:66
/workspace/src/maintenance/doMaintenance.php:99

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2019, 9:38 PM
Addshore triaged this task as Medium priority.Dec 5 2019, 8:30 AM
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Change 555664 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/Wikibase@master] Fix for PHP 7.4 compat

https://gerrit.wikimedia.org/r/555664

With the patch applied the only errors and warnings left are:

10:48:30 7) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "by title" (array('query', 'pageterms', 'No11|No22|No3333'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Vienna'), array('Capitol city of Austria'))), array(array(array('Moscow'), array('Capitol city of Russia'))), array(array(array('Population'), array('number of inhabitants')))))
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 ===
10:48:30 Trying to access array offset on value of type null
10:48:30 
10:48:30 /workspace/src/includes/api/ApiPageSet.php:125
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 8) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "descriptions only" (array('query', 'pageterms', 'No11|No22', 'description'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Capitol city of Austria'))), array(array(array('Capitol city of Russia')))))
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 ===
10:48:30 Trying to access array offset on value of type null
10:48:30 
10:48:30 /workspace/src/includes/api/ApiPageSet.php:125
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 9) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "with uselang" (array('query', 'pageterms', 'No11|No22', 'de'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Wien'), array('Hauptstadt Österreichs'))), array(array(array('Moskau'), array('Hauptstadt Russlands')))))
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache::isExpired(de): cache missing, need to make one []
10:48:30 ===
10:48:30 Trying to access array offset on value of type null
10:48:30 
10:48:30 /workspace/src/includes/api/ApiPageSet.php:125
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 10) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "title without entity" (array('query', 'pageterms', 'No11|SomeTitleWithoutEntity'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Vienna'), array('Capitol city of Austria')))))
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 ===
10:48:30 Trying to access array offset on value of type null
10:48:30 
10:48:30 /workspace/src/includes/api/ApiPageSet.php:125
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 11) Wikibase\Client\Tests\Api\PageTermsTest::testPageTerms with data set "continue" (array('query', 'pageterms', 'No11|No22', '20'), array(array(array('Vienna', 'Wien'), array('Capitol city of Austria', 'Hauptstadt Österreichs')), array(array('Moscow', 'Moskau'), array('Capitol city of Russia', 'Hauptstadt Russlands')), array(array('Population', 'Einwohnerzahl'), array('number of inhabitants', 'Anzahl der Bewohner'))), array(array(array(array('Moscow'), array('Capitol city of Russia')))))
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [localisation] [debug] LocalisationCache: using store LCStoreNull []
10:48:30 [MessageCache] [debug] MessageCache using store {class} {"class":"HashBagOStuff"}
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 ===
10:48:30 Trying to access array offset on value of type null
10:48:30 
10:48:30 /workspace/src/includes/api/ApiPageSet.php:125
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:47
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:229
10:48:30 /workspace/src/extensions/Wikibase/client/tests/phpunit/includes/Api/PageTermsTest.php:391
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 --
10:48:30 
10:48:30 There were 7 warnings:
10:48:30 
10:48:30 1) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "full empty" (array(), 'full-dump', 'empty')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 2) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "full some entities" (array(Wikibase\DataModel\Entity\PropertyId Object (...), Wikibase\DataModel\Entity\ItemId Object (...), Wikibase\DataModel\Entity\ItemId Object (...)), 'full-dump', 'entities')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 3) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "full redirect" (array(Wikibase\DataModel\Entity\PropertyId Object (...), Wikibase\DataModel\Entity\ItemId Object (...)), 'full-dump', 'redirect')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 4) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "truthy empty" (array(), 'truthy-dump', 'empty')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 5) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "truthy some entities" (array(Wikibase\DataModel\Entity\PropertyId Object (...), Wikibase\DataModel\Entity\ItemId Object (...), Wikibase\DataModel\Entity\ItemId Object (...)), 'truthy-dump', 'entities')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 6) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testGenerateDump with data set "truthy redirect" (array(Wikibase\DataModel\Entity\PropertyId Object (...), Wikibase\DataModel\Entity\ItemId Object (...)), 'truthy-dump', 'redirect')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
10:48:30 
10:48:30 7) Wikibase\Repo\Tests\Dumpers\RdfDumpGeneratorTest::testReferenceDedup with data set "references" (array(Wikibase\DataModel\Entity\ItemId Object (...), Wikibase\DataModel\Entity\ItemId Object (...)), 'refs')
10:48:30 === Logs generated by test case
10:48:30 [objectcache] [debug] MainWANObjectCache using store {class} {"class":"EmptyBagOStuff"}
10:48:30 [Wikibase] [debug] {method}: setting {settingName} was given as a closure, resolve it to {logValue} {"method":"Wikibase\\SettingsArray::getSetting","settingName":"conceptBaseUri","logValue":"'http:\/\/127.0.0.1:9412\/entity\/'"}
10:48:30 ===
10:48:30 Trying to configure method "getTitleForId" which cannot be configured because it does not exist, has not been specified, is final, or is static
10:48:30 
10:48:30 /workspace/src/tests/phpunit/MediaWikiIntegrationTestCase.php:416
10:48:30 /workspace/src/maintenance/doMaintenance.php:99
`

Change 555664 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix for PHP 7.4 compat

https://gerrit.wikimedia.org/r/555664

Change 556366 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Set default for ApiPageSet::mParams to empty array

https://gerrit.wikimedia.org/r/556366

Change 556368 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Fix php 7.4 warning

https://gerrit.wikimedia.org/r/556368

Change 556366 merged by jenkins-bot:
[mediawiki/core@master] Set default for ApiPageSet::mParams to empty array

https://gerrit.wikimedia.org/r/556366

Change 556368 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Fix php 7.4 warning

https://gerrit.wikimedia.org/r/556368

Change 556410 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/core@master] Another fix for php7.4 in ApiPageSet

https://gerrit.wikimedia.org/r/556410

Change 556457 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Prop mocking of the ApiPageSet in PageTermsTest

https://gerrit.wikimedia.org/r/556457

Change 556410 abandoned by Ladsgroup:
Another fix for php7.4 in ApiPageSet

https://gerrit.wikimedia.org/r/556410

Jdforrester-WMF closed this task as Resolved.Dec 11 2019, 11:44 PM
Jdforrester-WMF assigned this task to Ladsgroup.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 11 2019, 11:44 PM

Change 556457 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Proper mocking of the ApiPageSet in PageTermsTest

https://gerrit.wikimedia.org/r/556457

Maintenance_bot moved this task from In progress to Done on the User-Ladsgroup board.